import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type PipelineScheduleId = string | number;
declare class PipelineSchedules extends BaseService {
    all(projectId: ProjectId, options: RequestOptions): Promise<any>;
    create(projectId: ProjectId, description: string, ref: string, cron: temporaryAny, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, scheduleId: PipelineScheduleId, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, scheduleId: PipelineScheduleId): Promise<any>;
    show(projectId: ProjectId, scheduleId: PipelineScheduleId): Promise<any>;
    takeOwnership(projectId: ProjectId, scheduleId: PipelineScheduleId): Promise<any>;
}
export default PipelineSchedules;
