import { BaseService } from '.';
import { BaseModelContructorOptions } from './BaseService';
declare function Bundler<T extends {
    [K: string]: typeof BaseService;
}>(services: T): new (baseOptions: BaseModelContructorOptions) => {
    [K in keyof T]: InstanceType<T[K]>;
};
export default Bundler;
