import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type EpicId = string | number;
declare class Epics extends BaseService {
    all(groupId: GroupId): Promise<any>;
    create(groupId: GroupId, title: string, options: RequestOptions): Promise<any>;
    edit(groupId: GroupId, epicId: EpicId, options: RequestOptions): Promise<any>;
    remove(groupId: GroupId, epicId: EpicId): Promise<any>;
    show(groupId: GroupId, epicId: EpicId): Promise<any>;
}
export default Epics;
