import { BaseService } from '../infrastructure';
declare type LabelId = string | number;
declare class Labels extends BaseService {
    all(projectId: ProjectId, options?: {}): Promise<any>;
    create(projectId: ProjectId, options?: {}): Promise<any>;
    edit(projectId: ProjectId, labelName: string, options?: {}): Promise<any>;
    remove(projectId: ProjectId, labelName: string): Promise<any>;
    subscribe(projectId: ProjectId, labelId: LabelId, options?: {}): Promise<any>;
    unsubscribe(projectId: ProjectId, labelId: LabelId): Promise<any>;
}
export default Labels;
