import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type PipelineId = string | number;
declare class Pipelines extends BaseService {
    all(projectId: ProjectId, options?: {}): Promise<any>;
    create(projectId: ProjectId, ref: string): Promise<any>;
    show(projectId: ProjectId, pipelineId: PipelineId): Promise<any>;
    retry(projectId: ProjectId, pipelineId: PipelineId): Promise<any>;
    cancel(projectId: ProjectId, pipelineId: PipelineId): Promise<any>;
    showJobs(projectId: ProjectId, pipelineId: PipelineId, options: RequestOptions): Promise<any>;
}
export default Pipelines;
