import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type ServiceName = 'asana' | 'assembla' | 'bamboo' | 'bugzilla' | 'buildkite' | 'campfire' | 'custom-issue-tracker' | 'drone-ci' | 'emails-on-push' | 'external-wiki' | 'flowdock' | 'hangouts_chat' | 'hipchat' | 'irker' | 'jira' | 'kubernetes' | 'slack-slash-commands' | 'slack' | 'mattermost-slash-commands' | 'packagist' | 'pipelines-email' | 'pivotaltracker' | 'prometheus' | 'pushover' | 'redmine' | 'microsoft-teams' | 'mattermost' | 'mattermost-slash-commands' | 'teamcity' | 'jenkins' | 'jenkins-deprecated' | 'mock-ci';
/**
 * @see https://docs.gitlab.com/ee/api/services.html
 */
declare class Services extends BaseService {
    edit(projectId: ProjectId, serviceName: ServiceName, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, serviceName: ServiceName): Promise<any>;
    show(projectId: ProjectId, serviceName: ServiceName): Promise<any>;
}
export default Services;
