import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class ResourceAwardsEmojis extends BaseService {
    protected resourceType: temporaryAny;
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(projectId: ProjectId, resourceId: ResourceId, options: RequestOptions, noteId: NoteId): Promise<any>;
    award(projectId: ProjectId, resourceId: ResourceId, name: string, noteId: NoteId): Promise<any>;
    remove(projectId: ProjectId, resourceId: ResourceId, awardId: string | number, noteId: NoteId): Promise<any>;
    show(projectId: ProjectId, resourceId: ResourceId, awardId: string | number, noteId: NoteId): Promise<any>;
}
export default ResourceAwardsEmojis;
