import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type BroadcastMessageId = string | number;
declare class BroadcastMessages extends BaseService {
    all(options: RequestOptions): Promise<any>;
    create(options: RequestOptions): Promise<any>;
    edit(broadcastMessageId: BroadcastMessageId, options: RequestOptions): Promise<any>;
    remove(broadcastMessageId: BroadcastMessageId): Promise<any>;
    show(broadcastMessageId: BroadcastMessageId, options: RequestOptions): Promise<any>;
}
export default BroadcastMessages;
