import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type GeonodeId = string | number;
declare class GeoNodes extends BaseService {
    all(options: RequestOptions): Promise<any>;
    create(geonodeId: GeonodeId, options: RequestOptions): Promise<any>;
    edit(geonodeId: GeonodeId, options: RequestOptions): Promise<any>;
    failures(options: RequestOptions): Promise<any>;
    repair(geonodeId: GeonodeId, options: RequestOptions): Promise<any>;
    show(geonodeId: GeonodeId, options: RequestOptions): Promise<any>;
    status(geonodeId: GeonodeId, options: RequestOptions): Promise<any>;
    statuses(options: RequestOptions): Promise<any>;
}
export default GeoNodes;
