import { BaseService } from '../infrastructure';
import { IssueId } from './EpicIssues';
import { MergeRequestId } from './MergeRequests';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class Issues extends BaseService {
    addSpentTime(projectId: ProjectId, issueId: IssueId, duration: Duration): Promise<any>;
    addTimeEstimate(projectId: ProjectId, issueId: IssueId, duration: Duration): Promise<any>;
    all({ projectId, ...options }: {
        projectId: ProjectId;
    } & RequestOptions): Promise<any>;
    create(projectId: ProjectId, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, issueId: IssueId, options: RequestOptions): Promise<any>;
    link(projectId: ProjectId, issueIId: IssueId, targetProjectId: ProjectId, targetIssueId: IssueId, options?: {}): Promise<any>;
    participants(projectId: ProjectId, issueId: IssueId): Promise<any>;
    remove(projectId: ProjectId, issueId: IssueId): Promise<any>;
    resetSpentTime(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    resetTimeEstimate(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    show(projectId: ProjectId, issueId: IssueId): Promise<any>;
    subscribe(projectId: ProjectId, issueId: IssueId, options: RequestOptions): Promise<any>;
    timeStats(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    unsubscribe(projectId: ProjectId, issueId: IssueId): Promise<any>;
}
export default Issues;
