import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
interface PagesDomainsOptions {
    projectId?: ProjectId;
}
declare class PagesDomains extends BaseService {
    all({ projectId }?: PagesDomainsOptions): Promise<any>;
    create(projectId: ProjectId, domain: string, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, domain: string, options: RequestOptions): Promise<any>;
    show(projectId: ProjectId, domain: string): Promise<any>;
    remove(projectId: ProjectId, domain: string): Promise<any>;
}
export default PagesDomains;
