import { BaseService } from '../infrastructure';
import { HookId } from './SystemHooks';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class ProjectHooks extends BaseService {
    all(projectId: ProjectId, options: RequestOptions): Promise<any>;
    show(projectId: ProjectId, hookId: HookId): Promise<any>;
    add(projectId: ProjectId, url: string, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, hookId: HookId, url: string, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, hookId: HookId): Promise<any>;
}
export default ProjectHooks;
