import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
/** TODO annotate options */
declare type ProjectOptions = temporaryAny;
declare class Projects extends BaseService {
    all(options?: RequestOptions): Promise<any>;
    archive(projectId: ProjectId): Promise<any>;
    /**
     * @see https://docs.gitlab.com/ee/api/projects.html#create-project-for-user
     */
    create(options: temporaryAny): Promise<any>;
    edit(projectId: ProjectId, options: temporaryAny): Promise<any>;
    events(projectId: ProjectId, options: ProjectOptions): Promise<any>;
    fork(projectId: ProjectId, options: ProjectOptions): Promise<any>;
    forks(projectId: ProjectId, options: ProjectOptions): Promise<any>;
    languages(projectId: ProjectId): Promise<any>;
    mirrorPull(projectId: ProjectId): Promise<any>;
    remove(projectId: ProjectId): Promise<any>;
    search(projectName: string): Promise<any>;
    share(projectId: ProjectId, groupId: GroupId, groupAccess: GroupAccess, options: ProjectOptions): Promise<any>;
    show(projectId: ProjectId, options: ProjectOptions): Promise<any>;
    star(projectId: ProjectId): Promise<any>;
    statuses(projectId: ProjectId, sha: string, state: string, options: ProjectOptions): Promise<any>;
    transfer(projectId: ProjectId, namespace: string): Promise<any>;
    unarchive(projectId: ProjectId): Promise<any>;
    unshare(projectId: ProjectId, groupId: GroupId): Promise<any>;
    unstar(projectId: ProjectId): Promise<any>;
    updatePushRule(projectId: ProjectId, options: ProjectOptions): Promise<any>;
    upload(projectId: ProjectId, filePath: string, { fileName }?: {
        fileName?: string;
    }): Promise<any>;
}
export default Projects;
