import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class Repositories extends BaseService {
    compare(projectId: ProjectId, from: string, to: string): Promise<any>;
    contributors(projectId: ProjectId): Promise<any>;
    showArchive(projectId: ProjectId, { sha }: {
        sha: string;
    }): Promise<any>;
    showBlob(projectId: ProjectId, sha: string): Promise<any>;
    showBlobRaw(projectId: ProjectId, sha: string): Promise<any>;
    tree(projectId: ProjectId, options: RequestOptions): Promise<any>;
}
export default Repositories;
