import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type SnippetId = string | number;
declare class Snippets extends BaseService {
    all(options?: {
        public: boolean;
    }): Promise<any>;
    content(snippetId: SnippetId): Promise<any>;
    create(title: string, fileName: string, content: string, visibility: string, options?: {}): Promise<any>;
    edit(snippetId: SnippetId, options: RequestOptions): Promise<any>;
    remove(snippetId: SnippetId): Promise<any>;
    show(snippetId: SnippetId): Promise<any>;
    userAgentDetails(snippetId: SnippetId): Promise<any>;
}
export default Snippets;
