import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type TriggerId = string | number;
declare class Triggers extends BaseService {
    add(projectId: ProjectId, options: RequestOptions): Promise<any>;
    all(projectId: ProjectId): Promise<any>;
    edit(projectId: ProjectId, triggerId: TriggerId, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, triggerId: TriggerId): Promise<any>;
    show(projectId: ProjectId, triggerId: TriggerId): Promise<any>;
}
export default Triggers;
