import { BaseService } from '../infrastructure';
import { EventOptions } from './Events';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class Users extends BaseService {
    all(options: RequestOptions): Promise<any>;
    activities(): Promise<any>;
    projects(userId: UserId): Promise<any>;
    block(userId: UserId): Promise<any>;
    create(options: RequestOptions): Promise<any>;
    current(): Promise<any>;
    edit(userId: UserId, options: RequestOptions): Promise<any>;
    events(userId: UserId, options: RequestOptions & EventOptions): Promise<any>;
    session(email: string, password: string): Promise<any>;
    search(emailOrUsername: string): Promise<any>;
    show(userId: UserId, options: RequestOptions): Promise<any>;
    remove(userId: UserId): Promise<any>;
    unblock(userId: UserId): Promise<any>;
}
export default Users;
