import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type DiscussiodId = string | number;
declare class ResourceDiscussions extends BaseService {
    protected resource2Type: string;
    constructor(resourceType: string, resource2Type: string, baseParams: BaseModelContructorOptions);
    addNote(resourceId: string, resource2Id: string, discussiodId: string, noteId: NoteId, options: RequestOptions): Promise<any>;
    all(resourceId: ResourceId, resource2Id: Resource2Id, options: RequestOptions): Promise<any>;
    create(resourceId: ResourceId, resource2Id: Resource2Id, options: RequestOptions): Promise<any>;
    editNote(resourceId: ResourceId, resource2Id: Resource2Id, discussiodId: DiscussiodId, noteId: NoteId, options: RequestOptions): Promise<any>;
    removeNote(resourceId: ResourceId, resource2Id: Resource2Id, discussiodId: DiscussiodId, noteId: NoteId): Promise<any>;
    show(resourceId: ResourceId, resource2Id: Resource2Id, discussiodId: DiscussiodId): Promise<any>;
}
export default ResourceDiscussions;
