import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type MilestoneId = string;
declare class ResourceMilestones extends BaseService {
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId, options: RequestOptions): Promise<any>;
    create(resourceId: ResourceId, title: string, options: RequestOptions): Promise<any>;
    edit(resourceId: ResourceId, milestoneId: MilestoneId, options: RequestOptions): Promise<any>;
    issues(resourceId: ResourceId, milestoneId: MilestoneId): Promise<any>;
    mergeRequests(resourceId: ResourceId, milestoneId: MilestoneId): Promise<any>;
    show(resourceId: ResourceId, milestoneId: MilestoneId): Promise<any>;
}
export default ResourceMilestones;
