import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class ResourceNotes extends BaseService {
    protected resource2Type: string;
    constructor(resourceType: string, resource2Type: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId, resource2Id: Resource2Id, options: RequestOptions): Promise<any>;
    create(resourceId: ResourceId, resource2Id: Resource2Id, options: RequestOptions): Promise<any>;
    edit(resourceId: ResourceId, resource2Id: Resource2Id, noteId: NoteId, options: RequestOptions): Promise<any>;
    remove(resourceId: ResourceId, resource2Id: Resource2Id, noteId: NoteId): Promise<any>;
    show(resourceId: ResourceId, resource2Id: Resource2Id, noteId: NoteId): Promise<any>;
}
export default ResourceNotes;
