import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class ResourceVariables extends BaseService {
    protected resourceType: ResourceType;
    protected resource2Type: Resource2Type;
    constructor(resourceType: ResourceType, resource2Type: Resource2Type, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceType, resource2Id: Resource2Id): Promise<any>;
    create(resourceId: ResourceType, resource2Id: Resource2Id, options: RequestOptions): Promise<any>;
    edit(resourceId: ResourceType, resource2Id: Resource2Id, keyId: string, options: RequestOptions): Promise<any>;
    show(resourceId: ResourceType, resource2Id: Resource2Id, keyId: string): Promise<any>;
    remove(resourceId: ResourceType, resource2Id: Resource2Id, keyId: string): Promise<any>;
}
export default ResourceVariables;
