import { XhrUriConfig, XhrUrlConfig } from 'xhr';
export interface XhrInstancePromisified {
    (options: XhrUriConfig | XhrUrlConfig): Promise<temporaryAny>;
}
export interface XhrStaticPromisified extends XhrInstancePromisified {
    del: XhrInstancePromisified;
    delete: XhrInstancePromisified;
    get: XhrInstancePromisified;
    head: XhrInstancePromisified;
    patch: XhrInstancePromisified;
    post: XhrInstancePromisified;
    put: XhrInstancePromisified;
}
declare const XMLHttpRequester: XhrStaticPromisified;
export default XMLHttpRequester;
