import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare class Branches extends BaseService {
    all(projectId: ProjectId, options: RequestOptions): Promise<any>;
    create(projectId: ProjectId, branchName: string, ref: string): Promise<any>;
    protect(projectId: ProjectId, branchName: string, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, branchName: string): Promise<any>;
    show(projectId: ProjectId, branchName: string): Promise<any>;
    unprotect(projectId: ProjectId, branchName: string): Promise<any>;
}
export default Branches;
