import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type EnvironmentId = string | number;
declare class Environments extends BaseService {
    all(projectId: ProjectId, options: RequestOptions): Promise<any>;
    create(projectId: ProjectId, options: RequestOptions): Promise<any>;
    edit(projectId: ProjectId, environmentId: EnvironmentId, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, environmentId: EnvironmentId): Promise<any>;
    stop(projectId: ProjectId, environmentId: EnvironmentId): Promise<any>;
}
export default Environments;
