import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type EpicId = string | number;
export declare type IssueId = string | number;
declare class EpicIssues extends BaseService {
    all(groupId: GroupId, epicId: EpicId): Promise<any>;
    assign(groupId: GroupId, epicId: EpicId, issueId: IssueId): Promise<any>;
    edit(groupId: GroupId, epicId: EpicId, issueId: IssueId, options: RequestOptions): Promise<any>;
    remove(groupId: GroupId, epicId: EpicId, issueId: IssueId): Promise<any>;
}
export default EpicIssues;
