import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type GroupId = string | number;
declare class Groups extends BaseService {
    all(options: RequestOptions): Promise<any>;
    create(options: RequestOptions): Promise<any>;
    remove(groupId: GroupId): Promise<any>;
    search(nameOrPath: string): Promise<any>;
    show(groupId: GroupId): Promise<any>;
    subgroups(groupId: GroupId, options: RequestOptions): Promise<any>;
}
export default Groups;
