import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
declare type RunnerId = string | number;
interface RunnersOptions {
    projectId?: ProjectId;
}
declare class Runners extends BaseService {
    all({ projectId, ...options }?: RunnersOptions): Promise<any>;
    allOwned(options: RequestOptions): Promise<any>;
    edit(runnerId: RunnerId, options: RequestOptions): Promise<any>;
    enable(projectId: ProjectId, runnerId: RunnerId): Promise<any>;
    disable(projectId: ProjectId, runnerId: RunnerId): Promise<any>;
    jobs(runnerId: RunnerId): Promise<any>;
    remove(runnerId: RunnerId): Promise<any>;
    show(runnerId: RunnerId): Promise<any>;
}
export default Runners;
