import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type HookId = string | number;
declare class SystemHooks extends BaseService {
    add(url: string, options: RequestOptions): Promise<any>;
    all(options: RequestOptions): Promise<any>;
    edit(hookId: HookId, url: string, options: RequestOptions): Promise<any>;
    remove(projectId: ProjectId, hookId: HookId): Promise<any>;
}
export default SystemHooks;
