import { BaseService } from '../infrastructure';
import { RequestOptions } from '../infrastructure/RequestHelper';
import { MergeRequestId } from './MergeRequests';
declare type TodoId = string | number;
interface TodosOptions {
    todoId: TodoId;
}
declare class Todos extends BaseService {
    all(options: RequestOptions): Promise<any>;
    create(projectId: ProjectId, mergerequestId: MergeRequestId): Promise<any>;
    done({ todoId }: TodosOptions): Promise<any>;
}
export default Todos;
