import { BaseService } from '../infrastructure';
/** SSH key ID */
export declare type KeyId = string;
declare class UserKeys extends BaseService {
    all({ userId }: UserIdOptions): Promise<any>;
    /** Add SSH key for user */
    create(title: string, key: KeyId, { userId }?: UserIdOptions): Promise<any>;
    show(keyId: KeyId): Promise<any>;
    remove(keyId: KeyId, { userId }?: UserIdOptions): Promise<any>;
}
export default UserKeys;
