import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
import { RequestOptions } from '../infrastructure/RequestHelper';
export declare type BadgeId = string | number;
declare class ResourceBadges extends BaseService {
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    add(resourceId: ResourceId, options: RequestOptions): Promise<any>;
    all(resourceId: ResourceId, options: RequestOptions): Promise<any>;
    edit(resourceId: ResourceId, badgeId: BadgeId, options: RequestOptions): Promise<any>;
    preview(resourceId: ResourceId, linkUrl: string, imageUrl: string): Promise<any>;
    remove(resourceId: ResourceId, badgeId: BadgeId): Promise<any>;
    show(resourceId: ResourceId, badgeId: BadgeId): Promise<any>;
}
export default ResourceBadges;
