import { BaseService } from '../infrastructure';
import { BaseModelContructorOptions } from '../infrastructure/BaseService';
export declare type CustomAttributeId = string | number;
declare class ResourceCustomAttributes extends BaseService {
    constructor(resourceType: string, baseParams: BaseModelContructorOptions);
    all(resourceId: ResourceId): Promise<any>;
    set(resourceId: ResourceId, customAttributeId: CustomAttributeId, value: string): Promise<any>;
    remove(resourceId: ResourceId, customAttributeId: CustomAttributeId): Promise<any>;
    show(resourceId: ResourceId, customAttributeId: CustomAttributeId): Promise<any>;
}
export default ResourceCustomAttributes;
